Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.search
Class RemoteSearchRecord

    java.lang.Object
      com.plumtree.remote.search.RemoteSearchRecord

All Implemented Interfaces:
  ISearchRecord

public class RemoteSearchRecord
extends java.lang.Object
implements ISearchRecord

Bean class that implements `ISearchRecord`.

Constructor Summary
`RemoteSearchRecord()`

Method Summary
`java.lang.String` | `getDescription()` Gets the description.
`java.lang.String` | `getImageURL()` Gets the image URL.
`java.lang.String` | `getOpenDocumentURL()` Gets the URL to open the record.
`java.lang.String` | `getTitle()` Gets the title for the record.
`void` | `setDescription(java.lang.String description)` Sets the description (summary).
`void` | `setImageURL(java.lang.String imageURL)` Sets the image URL for this record.
`void` | `setOpenDocumentURL(java.lang.String openDocumentURL)` Sets the record URL used to click through to the record.
`void` | `setTitle(java.lang.String title)` Sets the title for the record.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RemoteSearchRecord

    public RemoteSearchRecord()

Method Detail

### setDescription

    public void setDescription(java.lang.String description)

  Sets the description (summary). Not required. This value will be HTML encoded unless `setDescriptionEncoded` in `ISearchResult` is set to false.

  Specified by:
    `setDescription` in interface `ISearchRecord`
  Parameters:
    `description` - record description (summary)

### getDescription

    public java.lang.String getDescription()

  Gets the description.

  Specified by:
    `getDescription` in interface `ISearchRecord`
  Returns:
    record description

### setImageURL

    public void setImageURL(java.lang.String imageURL)

  Sets the image URL for this record.

  Specified by:
    `setImageURL` in interface `ISearchRecord`
  Parameters:
    `imageURL` - image URL

### getImageURL

    public java.lang.String getImageURL()

  Gets the image URL.

  Specified by:
    `getImageURL` in interface `ISearchRecord`
  Returns:
    image URL

### setOpenDocumentURL

    public void setOpenDocumentURL(java.lang.String openDocumentURL)

  Sets the record URL used to click through to the record. The open document url should be unescaped, e.g. like "http://www.yahoo.com?d=SUNW&t=d" NOT "http://www.yahoo.com?d=SUNW&amp;t=d" The portal creates a link to the search record using the title and openDocumentURL.

  Specified by:
    `setOpenDocumentURL` in interface `ISearchRecord`
  Parameters:
    `openDocumentURL` - record URL

### getOpenDocumentURL

    public java.lang.String getOpenDocumentURL()

  Gets the URL to open the record.

  Specified by:
    `getOpenDocumentURL` in interface `ISearchRecord`
  Returns:
    record URL

### setTitle

    public void setTitle(java.lang.String title)

  Sets the title for the record. Cannot be null. The portal creates a link to the search record using the title and openDocumentURL.

  Specified by:
    `setTitle` in interface `ISearchRecord`
  Parameters:
    `title` - search title

### getTitle

    public java.lang.String getTitle()

  Gets the title for the record.

  Specified by:
    `getTitle` in interface `ISearchRecord`
  Returns:
    record title

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more,see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.